public class Couple<A, B> {
    public A a;
    public B b;

    public Couple(A a, B b){
        this.a = a;
        this.b = b;
    }

    public override string ToString()
    {
        return "<"+a+","+b+">";
    }
}
